Skip to main content
POST
Create a virtual account for a wallet

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

walletId
string
required

An ID uniquely identifying an Anchorage Digital wallet

Body

application/json
customerId
string
required

The ID of the customer this virtual account is created for.

Example:

"cust_123"

idempotentId
string
required

A client-provided unique ID for idempotent requests

Maximum string length: 128
Example:

"e763a50d-aa82-4ec7-b5a3-89ad0462d248"

Response

Successfully created a virtual account

id
string
required

The ID of the newly created virtual account.